/***************************************************
 Pin definitions.
***************************************************/ 

#ifndef PINS_H
#define PINS_H

// "Attempt" LEDs, the 5 on the front.

#define LED_T1 PA7 // Attempt LED 1
#define LED_T2 PA6 // Attempt LED 2
#define LED_T3 PA5 // Attempt LED 3
#define LED_T4 PA4 // Attempt LED 4
#define LED_T5 PA3 // Attempt LED 5

// "Status" LEDs, aka Insert Coin, Too Late and Too Early.

#define LED_LATE PC2 // Too Late LED
#define LED_EARLY PC1 // Too Early LED
#define LED_COIN PC0 // Insert Coin LED

// Display data pins
#define DP_DATA_A PD3 // Display databit A
#define DP_DATA_B PD4 // Display databit B
#define DP_DATA_C PD5 // Display databit C
#define DP_DATA_D PD6 // Display databit D

// Display latch pins
#define DP_LATCH_1 PC6 // Display 1 latch
#define DP_LATCH_2 PC7 // Display 2 latch
#define DP_LATCH_3 PB0 // Display 3 latch
#define DP_LATCH_4 PB1 // Display 4 latch

#endif // PINS_H